Skip to content

Perform various operations for Symitar parameters.

Operations

getDivIndexLocal

POST

Retrieve DivIndexLocal parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DivIndexLocalDividendIndexTableintegerrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getDivIndexLocal
POST /nexum/627/2022.01/parameter/getDivIndexLocal HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DivIndexLocalDividendIndexTable": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getDivIndexLocalSelectFields

POST

Retrieve DivIndexLocal parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DivIndexLocalDividendIndexTableintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getDivIndexLocalSelectFields
POST /nexum/627/2022.01/parameter/getDivIndexLocalSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "BranchId": 0,
  "DivIndexLocalDividendIndexTable": 0,
  "SelectableFields": {
    "DivIndexLocalFields": {
      "DividendIndexTable": true,
      "Description": true
    }
  }
}

getDivIndexLocalPagedList

POST

Retrieve DivIndexLocal parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/parameter/getDivIndexLocalPagedList
POST /nexum/627/2022.01/parameter/getDivIndexLocalPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "REPLACE_WITH_YOUR_TOKEN"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getDivIndexLocalListSelectFields

POST

Retrieve DivIndexLocal parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getDivIndexLocalListSelectFields
POST /nexum/627/2022.01/parameter/getDivIndexLocalListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "SelectableFields": {
    "IncludeAllDivIndexLocalFields": true
  }
}

searchDivIndexLocalSelectFields

POST

Search DivIndexLocal parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/searchDivIndexLocalSelectFields
POST /nexum/627/2022.01/parameter/searchDivIndexLocalSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllDivIndexLocalFields": true
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getDivIndexLocalPagedListSelectFields

POST

Retrieve DivIndexLocal parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/parameter/getDivIndexLocalPagedListSelectFields
POST /nexum/627/2022.01/parameter/getDivIndexLocalPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "BranchId": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "DivIndexLocalFields": {
      "DividendIndexTable": true,
      "Description": true
    }
  }
}

searchDivIndexLocalPagedSelectFields

POST

Search DivIndexLocal parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/parameter/searchDivIndexLocalPagedSelectFields
POST /nexum/627/2022.01/parameter/searchDivIndexLocalPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "BranchId": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "Query": "string",
  "SelectableFields": {
    "DivIndexLocalFields": {
      "DividendIndexTable": true,
      "Description": true
    }
  }
}

updateDivIndexLocalByID

POST

Update DivIndexLocal parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DivIndexLocalDividendIndexTableintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/updateDivIndexLocalByID
POST /nexum/627/2022.01/parameter/updateDivIndexLocalByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DivIndexLocalDividendIndexTable": 0,
  "DivIndexLocalUpdatableFields": {
    "Type": 0,
    "Description": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}